aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-rpigpio/APKBUILD
diff options
context:
space:
mode:
authorScrumpyJack <scrumpyjack@st.ilet.to>2016-03-16 20:33:55 +0000
committerTimo Teräs <timo.teras@iki.fi>2016-03-18 08:15:21 +0000
commit154adeff1df77a21fa1a949ff381c058f7974aa8 (patch)
tree162f5fcea42d4274973f03b268896f809af4d29d /testing/py-rpigpio/APKBUILD
parentb514d7e986df058ff16cc34a1615c7e7b7b953fc (diff)
downloadaports-154adeff1df77a21fa1a949ff381c058f7974aa8.tar.bz2
aports-154adeff1df77a21fa1a949ff381c058f7974aa8.tar.xz
testing/py-rpigpio: new aport
This package provides a class to control the GPIO on a Raspberry Pi https://pypi.python.org/pypi/RPi.GPIO ref #5195, [TT: Fix arch, license and whitespace]
Diffstat (limited to 'testing/py-rpigpio/APKBUILD')
-rw-r--r--testing/py-rpigpio/APKBUILD32
1 files changed, 32 insertions, 0 deletions
diff --git a/testing/py-rpigpio/APKBUILD b/testing/py-rpigpio/APKBUILD
new file mode 100644
index 0000000000..3d54ee3ad8
--- /dev/null
+++ b/testing/py-rpigpio/APKBUILD
@@ -0,0 +1,32 @@
+# Contributor: ScrumpyJack <scrumpyjack@st.ilet.to>
+# Maintainer: ScrumpyJack <scrumpyjack@st.ilet.to>
+pkgname=py-rpigpio
+_pkgname=RPi.GPIO
+pkgver=0.6.2
+pkgrel=0
+pkgdesc="This package provides a class to control the GPIO on a Raspberry Pi."
+url="https://pypi.python.org/pypi/RPi.GPIO"
+arch="armhf"
+license="MIT"
+depends="python"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="$_pkgname-$pkgver.tar.gz::https://pypi.python.org/packages/source/R/${_pkgname}/${_pkgname}-${pkgver}.tar.gz"
+
+_builddir=${srcdir}/${_pkgname}-${pkgver}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="9db86fd5f3bae872de9dbb068ee0b096 RPi.GPIO-0.6.2.tar.gz"
+sha256sums="82acff0ef6bbe3cdf6f4dbdd73d96add5294bb94baf7f51c1d901861af3c2392 RPi.GPIO-0.6.2.tar.gz"
+sha512sums="a6fbea51ffd07d33425f66deb1afcd7c3c7334d9e8a7c7ff793fc41e11a744e31003b9553384f0ac29da6576a071caae269ae6f1a681a9ebc5f7914955d84de1 RPi.GPIO-0.6.2.tar.gz"